Debian Bug report logs - #399633
iceweasel: Please mention Firefox in the user-agent string.

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: "Piotr Engelking" <inkerman42@gmail.com>

Date: Mon, 20 Nov 2006 22:48:53 UTC

Severity: wishlist

Tags: wontfix

Merged with 401507, 406965, 408864

Found in versions iceweasel/2.0+dfsg-1, iceweasel/2.0.0.1+dfsg-1, iceweasel/2.0.0.1+dfsg-2

Fixed in version iceweasel/3.5.5-1

Done: Mike Hommey <glandium@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=334967

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "Piotr Engelking" <inkerman42@gmail.com>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Piotr Engelking" <inkerman42@gmail.com>
To: "Debian BTS" <submit@bugs.debian.org>
Subject: iceweasel: Please mention Firefox in the user-agent string.
Date: Mon, 20 Nov 2006 23:45:21 +0100
Package: iceweasel
Version: 2.0+dfsg-1
Severity: wishlist

Please mention Firefox in the user-agent string. It is the correct thing to
do, since Iceweasel is a rebranded version of Firefox. It is also useful,
since some sites depend on this information.


-- System Information:
Debian Release: 4.0
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)

Versions of packages iceweasel depends on:
ii  debianutils               2.17           Miscellaneous utilities specific t
ii  fontconfig                2.4.1-2        generic font configuration library
ii  libatk1.0-0               1.12.3-1       The ATK accessibility toolkit
ii  libc6                     2.3.6.ds1-7    GNU C Library: Shared libraries
ii  libcairo2                 1.2.4-4        The Cairo 2D vector graphics libra
ii  libfontconfig1            2.4.1-2        generic font configuration library
ii  libfreetype6              2.2.1-5        FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.1-19     GCC support library
ii  libglib2.0-0              2.12.4-1       The GLib library of C routines
ii  libgtk2.0-0               2.8.20-3       The GTK+ graphical user interface
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG
ii  libmyspell3c2             1:3.1-17       MySpell spellchecking library
ii  libpango1.0-0             1.14.7-1       Layout and rendering of internatio
ii  libpng12-0                1.2.8rel-7     PNG library - runtime
ii  libstdc++6                4.1.1-19       The GNU Standard C++ Library v3
ii  libx11-6                  2:1.0.3-3      X11 client-side library
ii  libxft2                   2.1.8.2-8      FreeType-based font drawing librar
ii  libxinerama1              1:1.0.1-4.1    X11 Xinerama extension library
ii  libxp6                    1:1.0.0.xsf1-1 X Printing Extension (Xprint) clie
ii  libxrender1               1:0.9.1-3      X Rendering Extension client libra
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  psmisc                    22.3-1         Utilities that use the proc filesy
ii  zlib1g                    1:1.2.3-13     compression library - runtime

iceweasel recommends no packages.

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 399633@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Piotr Engelking <inkerman42@gmail.com>
Cc: 399633@bugs.debian.org
Subject: Re: iceweasel: Please mention Firefox in the user-agent string.
Date: Sat, 25 Nov 2006 16:38:53 +0100
tag 399633 wontfix
thanks

On Mon, Nov 20, 2006 at 11:45:21PM +0100, Piotr Engelking <inkerman42@gmail.com> wrote:
> Package: iceweasel
> Version: 2.0+dfsg-1
> Severity: wishlist
> 
> Please mention Firefox in the user-agent string. It is the correct thing to
> do, since Iceweasel is a rebranded version of Firefox. It is also useful,
> since some sites depend on this information.

If sites require that "Firefox" is present in the user agent string,
they are likely to fail with Epiphany, Kazehakase, Galeon, Seamonkey,
Iceape, and any new browser based on Gecko that would appear.

Konqueror does live fine without Firefox in its User-Agent. Only Gecko
needed to be added for some stupid sites basing their stuff on
User-Agent...

Mike



Tags added: wontfix Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 399633 401507. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Paul Brossier <piem@piem.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #19 received at 399633@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@piem.org>
To: 399633@bugs.debian.org
Subject: Re: iceweasel: Please mention Firefox in the user-agent string.
Date: Wed, 6 Dec 2006 14:32:17 +0100
Hi,

Just a short note to add that changing the value (in about:config) of
'general.useragent.extra.firefox' from 'Iceweasel/2.0' to 'Firefox/2.0'
(or 'Iceweasel Firefox/2.0') should be enough to work around most of
these broken websites.

Cheers, piem



Severity set to `wishlist' from `wishlist' Request was from Eric Dorland <eric@kuroneko.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Eric Dorland <eric@kuroneko.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 399633 401507. Request was from Eric Dorland <eric@kuroneko.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 399633 401507 406965. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 399633 401507 406965 408864. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "Adam L. Peller" <adam@peller.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #34 received at 399633@bugs.debian.org (full text, mbox):

From: "Adam L. Peller" <adam@peller.org>
To: 399633@bugs.debian.org
Subject: Please mention Firefox in the user-agent string.
Date: Fri, 31 Aug 2007 10:18:31 -0400
If Iceweasel is truly a variant of Firefox, and unless you feel the
licensing prevents you from doing so, I think the right thing to do as
a web citizen is to *add* to the user agent string, e.g.
Firefox/2.0.0.6 IceWeasel/1.0

On rare occasions, such as to work around a bug in a particular
Firefox version, code may expect to see this identifier.  And yes,
some people use the user-agent string incorrectly.  It's arrogant to
expect everyone else to adapt to this.

>Konqueror does live fine without Firefox in its User-Agent.
Konqueror isn't based on Firefox.



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #39 received at 399633@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "Adam L. Peller" <adam@peller.org>, 399633@bugs.debian.org
Subject: Re: Bug#399633: Please mention Firefox in the user-agent string.
Date: Fri, 31 Aug 2007 19:39:24 +0200
On Fri, Aug 31, 2007 at 10:18:31AM -0400, Adam L. Peller <adam@peller.org> wrote:
> If Iceweasel is truly a variant of Firefox, and unless you feel the
> licensing prevents you from doing so, I think the right thing to do as
> a web citizen is to *add* to the user agent string, e.g.
> Firefox/2.0.0.6 IceWeasel/1.0

And what next ? Add "like Safari/3.0", "like Opera/9.0" whenever that
becomes necessary ? Let's just stop the user agent madness.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "Adam L. Peller" <adam@peller.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #44 received at 399633@bugs.debian.org (full text, mbox):

From: "Adam L. Peller" <adam@peller.org>
To: 399633@bugs.debian.org
Subject: Fwd: Bug#399633: Please mention Firefox in the user-agent string.
Date: Fri, 31 Aug 2007 22:06:18 -0400
On 8/31/07, Mike Hommey <mh@glandium.org> wrote:
> On Fri, Aug 31, 2007 at 10:18:31AM -0400, Adam L. Peller <adam@peller.org> wrote:
> And what next ? Add "like Safari/3.0", "like Opera/9.0" whenever that
> becomes necessary ? Let's just stop the user agent madness.

Not sure I follow... add them to IceWeasel?  Certainly not.  Your
browser isn't forked off Safari or Opera source code, is it?  The
community's persistent requests to add Firefox to the IceWeasel user
agent isn't about cloaking, the way IE and Opera might use Mozilla or
Gecko keywords, it's about showing the browser's true origins --
consistent with the HTTP spec, I believe.

Yeah, the whole user agent thing is ugly, but substituting a keyword
in user-agent is just not logical.  By your logic, you shouldn't have
added IceWeasel to the string in the first place.  Surely, you don't
want people to write code conditionalized on your browser, which
sounds like it's supposed to be functionally identical to Firefox?  In
this case, just leave the original user-agent string in tact and do no
harm :-)

-Adam



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #49 received at 399633@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "Adam L. Peller" <adam@peller.org>, 399633@bugs.debian.org
Subject: Re: Bug#399633: Fwd: Bug#399633: Please mention Firefox in the user-agent string.
Date: Sat, 1 Sep 2007 08:14:14 +0200
On Fri, Aug 31, 2007 at 10:06:18PM -0400, Adam L. Peller <adam@peller.org> wrote:
> On 8/31/07, Mike Hommey <mh@glandium.org> wrote:
> > On Fri, Aug 31, 2007 at 10:18:31AM -0400, Adam L. Peller <adam@peller.org> wrote:
> > And what next ? Add "like Safari/3.0", "like Opera/9.0" whenever that
> > becomes necessary ? Let's just stop the user agent madness.
> 
> Not sure I follow... add them to IceWeasel?  Certainly not.  Your
> browser isn't forked off Safari or Opera source code, is it?  The
> community's persistent requests to add Firefox to the IceWeasel user
> agent isn't about cloaking, the way IE and Opera might use Mozilla or
> Gecko keywords, it's about showing the browser's true origins --
> consistent with the HTTP spec, I believe.

Look at Safari. Apple felt it needed to have "Gecko" somewhere in the
user agent string, so it now has "like Gecko" in it. So what's next for
them ? Adding Firefox, too ? What about when Safari gets enough
visibility that for some reason people need to have "Safari" somewhere
in the UA in Firefox ?

> Yeah, the whole user agent thing is ugly, but substituting a keyword
> in user-agent is just not logical.  By your logic, you shouldn't have
> added IceWeasel to the string in the first place.  Surely, you don't
> want people to write code conditionalized on your browser, which
> sounds like it's supposed to be functionally identical to Firefox?  In
> this case, just leave the original user-agent string in tact and do no
> harm :-)

It's about what it *is* not what its origin are. So, "in my logic", it
doesn't make sense to leave Firefox in the user agent string while the
browser is not branded so. And the move from Camino to add Firefox in
its UA is just plain dumb.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+bts@alcopop.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #54 received at 399633@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+bts@alcopop.org>
To: 399633@bugs.debian.org
Subject: puritan approach
Date: Wed, 10 Oct 2007 12:49:47 +0100
One of the first things I do with iceweasel i  change the UA
string to include Firefox rather than iceweasel. Many broken
sites require this, including my bank (http://www.nwolb.com/),
and its more important to me that I can balance my books
than be a pawn in an ideological UA cleansing quest.

If you're going to use that argument, then follow it to the
logical conclusion and drop the "Mozilla/5.0" prefix too :)
Iceweasel is as much "Firefox" as it is "Mozilla".


-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #59 received at 399633@bugs.debian.org (full text, mbox):

From: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>
To: 399633@bugs.debian.org
Cc: inkerman42@gmail.com, piem@piem.org, adam@peller.org, jon+bts@alcopop.org, xiejw0217@gmail.com, cervelle@univ-mlv.fr, tim_wootton@yahoo.com
Subject: Upstream tracking bug for UA sniffing
Date: Thu, 11 Oct 2007 12:09:18 +0900
There is an upstream tracking bug for sites broken by sniffing "Firefox"
in the user-agent string.
https://bugzilla.mozilla.org/show_bug.cgi?id=334967

All reports of such sites are best filed to upstream Bugzilla as
evangelism bugs and should block the tracking bug.

For example, nwolb.com mentioned by Jon Dowland, is Mozilla bug #307525
in Tech Evangelism product, blocking #334967.
https://bugzilla.mozilla.org/show_bug.cgi?id=307525

I am CC'ing all people who reported problems with Iceweasel which was
solved by spoofing user agent string, in the hope that they will report
to upstream Bugzilla if such sites are not already reported.

Seo Sanghyeon




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Message #62 received at 399633@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 399633@bugs.debian.org
Subject: how to make User-Agent useless
Date: Thu, 10 Jan 2008 19:40:18 +0100
Hi folks,

I was reading the bug log, followed a reference to upstream Bugzilla, and
came across a comment that seems like a very interesting idea.

You say User-Agent sniffing is a bad practice, and I agree.  Users request
"Firefox" in the string for practical purposes, but that adds more to the
UA madness, so you don't want to do that.

Now please have a look at this idea from Felix Miata:

  http://bugzilla.mozilla.org/show_bug.cgi?id=334967#c12

In a way, this archieves both things.  It makes most stupid sites work, and
at the same time it sends an annoying message to web designers that have such
stupid ideas on how to design their sites.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)




Noted your statement that Bug has been forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=334967. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2008 02:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "Samuel Bronson" <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #69 received at 399633@bugs.debian.org (full text, mbox):

From: "Samuel Bronson" <naesten@gmail.com>
To: 399633@bugs.debian.org
Subject: addons.mozilla.org
Date: Mon, 21 Apr 2008 21:08:49 -0400
What about addons.mozilla.org? It's not working for me at the moment...




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "Samuel Bronson" <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #74 received at 399633@bugs.debian.org (full text, mbox):

From: "Samuel Bronson" <naesten@gmail.com>
To: 399633@bugs.debian.org
Subject: Apparently mozilla.org thinks sniffing is justified sometimes?
Date: Mon, 21 Apr 2008 23:02:30 -0400
According to this, sometimes it's okay to sniff, and apparently having
Firefox in the user-agent string would be useful:
https://bugzilla.mozilla.org/show_bug.cgi?id=334967#c22




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. (Mon, 29 Dec 2008 20:33:02 GMT) Full text and rfc822 format available.

Message #77 received at 399633@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 399633@bugs.debian.org
Subject: also broken for amazon.com
Date: Mon, 29 Dec 2008 21:29:21 +0100
Hi,

Just found that Amazon's book preview website complains about your browser
not being "Firefox 1.5+" either.  And I recall visinting websites in the
last few days that actually forced me to hack my UA field to "pretend" I'm
using Firefox.

Is there any reason we should strive to deprecate User-Agent checks in the
web, even if it comes at the expense of our users?  Most of why we ship
Iceweasel in the default install is because it has good compatibility with
websites, and this decision jeopardizes that.

Mind that our priorities are our users and free software.  They're not
fixing every fucked up thing we happen to interact with.

Please reconsider,

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. (Thu, 15 Jan 2009 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel McDicken" <gnupglinux@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Thu, 15 Jan 2009 12:09:04 GMT) Full text and rfc822 format available.

Message #82 received at 399633@bugs.debian.org (full text, mbox):

From: "Daniel McDicken" <gnupglinux@googlemail.com>
To: 399633@bugs.debian.org
Subject: Leave it alone
Date: Thu, 15 Jan 2009 12:08:12 +0000
[Message part 1 (text/plain, inline)]
I came here to see what all the fuss was about and see your all whining and
whining about ice-weasel not saying it's fire-fox on some sites that require
it to be fire-fox.

Here's a work around that any idiot can apply;

To change the User Agent string, just enter about:config as an address in
the address bar of FireFox (iceweasel) , the location where you normally
enter a URL (link). I recommend to preserve the original value, which you
can get when you enter just about: in the address bar but nobody listens.

Now press the right mouse button to get the context menu and select "String"
from the menu entry "New". Enter the preference name
"general.useragent.override", without the quotes. Next, enter the new User
Agent value you want Mozilla Firefox (iceweasel) to use. You don't have to
use a user agent switcher if you don't want to, personally I cant see what
all the fuss is about I dont care what the browsers called so long as it
does what it says on the tin!

You can pick any browser you want from the list of User Agent strings
available off google by doing a search for User Agents. Check the new value
by entering about: in the address bar and it'll remain the default when you
close or open the browser unlike using the user agent switcher which
restores the default value every time you close the browser.

I like ice-weasel just the way it is... Period... If you dont like
ice-weasel because it's not called fire-fox, then why not fuck off and use
opera or internet explorer!
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. (Thu, 15 Jan 2009 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel McDicken" <gnupglinux@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Thu, 15 Jan 2009 14:33:02 GMT) Full text and rfc822 format available.

Message #87 received at 399633@bugs.debian.org (full text, mbox):

From: "Daniel McDicken" <gnupglinux@googlemail.com>
To: 399633@bugs.debian.org
Subject: Re: Bug#399633: Info received (Leave it alone)
Date: Thu, 15 Jan 2009 14:31:07 +0000
[Message part 1 (text/plain, inline)]
Another thing to consider is if you go changing the name of the Debian fork
of fire-fox from ice-weasel back to fire-fox then the next package update
for that browser will not install because it'll be called fire-fox.3.5.deb
instead of ice-weasel.3.5.deb

Thereby potentially causing hundreds of thousands of Debian users to be
inconvenienced with having to remove all their .xpi fire-fox addon's and
completely un-install ice-weasel just to re-install all the addon's and the
browser all over again, just because a group of 35 year old virgins still
living at home with their Mom are loosing sleep at night because of the name
and insisted they wanted to change it back... "Waahh it's not called
Fire-fox!" 'splutter' "I cant get onto my banking files because I'm too
clueless how to switch user agents, change it back.. wahhh!"

So whilst the developers are at it why not re-name Ice-dove back to
Thunderbird... Seriously did anyone stop to think before they all got anal
over the name?!?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. (Thu, 15 Jan 2009 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel McDicken" <gnupglinux@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Thu, 15 Jan 2009 14:36:05 GMT) Full text and rfc822 format available.

Message #92 received at 399633@bugs.debian.org (full text, mbox):

From: "Daniel McDicken" <gnupglinux@googlemail.com>
To: 399633@bugs.debian.org
Subject: Stop & Think
Date: Thu, 15 Jan 2009 14:35:04 +0000
[Message part 1 (text/plain, inline)]
Another thing to consider is if you go changing the name of the Debian
fork of fire-fox from ice-weasel back to fire-fox then the next package
update for that browser will not install because it'll be called
fire-fox.3.5.deb instead of ice-weasel.3.5.deb


Thereby potentially causing hundreds of thousands of Debian users
to be inconvenienced with having to remove all their .xpi fire-fox
addon's and completely un-install ice-weasel just to re-install all the
addon's and the browser all over again, just because a group of 35 year
old virgins still living at home with their Mom are loosing sleep at
night because of the name and insisted they wanted to change it back...
"Waahh it's not called Fire-fox!" 'splutter' "I cant get onto my
banking files because I'm too clueless how to switch user agents,
change it back.. wahhh!"


So whilst the developers are at it why not re-name Ice-dove back to
Thunderbird... Seriously did anyone stop to think before they all got
anal over the name?!?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#399633; Package iceweasel. (Thu, 15 Jan 2009 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel McDicken" <gnupglinux@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Thu, 15 Jan 2009 15:06:02 GMT) Full text and rfc822 format available.

Message #97 received at 399633@bugs.debian.org (full text, mbox):

From: "Daniel McDicken" <gnupglinux@googlemail.com>
To: 399633@bugs.debian.org
Subject: Re: Bug#399633: Info received (Stop & Think)
Date: Thu, 15 Jan 2009 15:01:17 +0000
[Message part 1 (text/plain, inline)]
Sorry for the double post, but sheesh, some people.. Having it called
ice-weasel instead of fire-fox isnt a bug its a perk, it labels your box as
being distinctive, people check their web-logs and look at the user agent
strings and see the words Iceweasel and think "holy shit a Debian box!"
[Message part 2 (text/html, inline)]

Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Thu, 12 Nov 2009 17:39:08 GMT) Full text and rfc822 format available.

Notification sent to "Piotr Engelking" <inkerman42@gmail.com>:
Bug acknowledged by developer. (Thu, 12 Nov 2009 17:39:09 GMT) Full text and rfc822 format available.

Message #102 received at 399633-close@bugs.debian.org (full text, mbox):

From: Mike Hommey <glandium@debian.org>
To: 399633-close@bugs.debian.org
Subject: Bug#399633: fixed in iceweasel 3.5.5-1
Date: Thu, 12 Nov 2009 17:34:21 +0000
Source: iceweasel
Source-Version: 3.5.5-1

We believe that the bug you reported is fixed in the latest version of
iceweasel, which is due to be installed in the Debian FTP archive:

iceweasel-dbg_3.5.5-1_amd64.deb
  to main/i/iceweasel/iceweasel-dbg_3.5.5-1_amd64.deb
iceweasel-gnome-support_3.5.5-1_all.deb
  to main/i/iceweasel/iceweasel-gnome-support_3.5.5-1_all.deb
iceweasel_3.5.5-1.diff.gz
  to main/i/iceweasel/iceweasel_3.5.5-1.diff.gz
iceweasel_3.5.5-1.dsc
  to main/i/iceweasel/iceweasel_3.5.5-1.dsc
iceweasel_3.5.5-1_amd64.deb
  to main/i/iceweasel/iceweasel_3.5.5-1_amd64.deb
iceweasel_3.5.5.orig.tar.gz
  to main/i/iceweasel/iceweasel_3.5.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399633@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Hommey <glandium@debian.org> (supplier of updated iceweasel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 Nov 2009 17:32:42 +0100
Source: iceweasel
Binary: iceweasel iceweasel-gnome-support iceweasel-dbg
Architecture: source all amd64
Version: 3.5.5-1
Distribution: unstable
Urgency: low
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Changed-By: Mike Hommey <glandium@debian.org>
Description: 
 iceweasel  - lightweight web browser based on Mozilla
 iceweasel-dbg - debugging symbols for iceweasel
 iceweasel-gnome-support - Support for GNOME in Iceweasel
Closes: 399633 552426 553453
Changes: 
 iceweasel (3.5.5-1) unstable; urgency=low
 .
   * New upstream release.
   * debian/remove.nonfree: Synchronize with Iceape 2.0.
   * debian/copyright: Update with missing information, and remove lcms
     licensing as it was dropped in 3.5.
   * debian/iceweasel-runner: Synchronize with Iceape 2.0's iceape-runner:
     - Remove obsolete (and commented) Xprint support.
     - Only handle --verbose, -V, -g and --debugger options.
     - Output less variables when running verbosely.
   * debian/README.Debian: Point to the proper file containing the
     app.update.enabled setting.
   * debian/rules: Properly modify {Min,Max}Version in application.ini.
   * debian/control, debian/iceweasel.preinst: Removed upgrade path from
     old firefox packages.
   * debian/rules: Add a "like Firefox/version" string to the UA.
     Closes: #399633.
   * debian/control:
     - Set the pkg-mozilla team as maintainer.
     - Bump Standards-Version to 3.8.3.0.
   * browser/components/sessionstore/src/nsSessionStore.js: Avoid wrong
     sessionstore data to keep windows out of user sight.
     Closes: #552426, #553453.
Checksums-Sha1: 
 51acb76126610def6074227ae3e06a8f69bafb7e 1439 iceweasel_3.5.5-1.dsc
 683d614ee7708908d9926927d85986098ce0045a 55863741 iceweasel_3.5.5.orig.tar.gz
 5f9b20f052c8305179b0f6966ec4e2e9d0ebacde 162796 iceweasel_3.5.5-1.diff.gz
 acff6a69bf391dd2f3bc8006a1a984d13e0f0d1e 73418 iceweasel-gnome-support_3.5.5-1_all.deb
 132846f249819af72a808fdcf8c1c36689513e50 1119922 iceweasel_3.5.5-1_amd64.deb
 eece4d28dd312ecc09c7b8155f6922db5b91ae13 447822 iceweasel-dbg_3.5.5-1_amd64.deb
Checksums-Sha256: 
 916b68d8c7d21fefbde2d45fb0691773f0c712bada763e1b18183d602998d9b9 1439 iceweasel_3.5.5-1.dsc
 7b8c448c5dbb987c732d3e564b15f9d4188d942d050dd3d5867f310886d7f104 55863741 iceweasel_3.5.5.orig.tar.gz
 81a341cba2759e4209fe0591443e23134da238356e97bbb5c0f5b322809e3126 162796 iceweasel_3.5.5-1.diff.gz
 2a87ebbab9de2c1f80feaeeae448aebe48b363a661f6dc607d1c337312805e98 73418 iceweasel-gnome-support_3.5.5-1_all.deb
 f4e6bc0415f2e5aad003549349081435f277b85127c2c0344e7594fb5184881d 1119922 iceweasel_3.5.5-1_amd64.deb
 2b889e1854e5b37728ecb194377f750e05cdd5c15d72b27e8d488c851e1a66eb 447822 iceweasel-dbg_3.5.5-1_amd64.deb
Files: 
 7b1a565eb22b6836267474f322907f62 1439 web optional iceweasel_3.5.5-1.dsc
 18f84344b4eaeaf37217e1d70de5dc55 55863741 web optional iceweasel_3.5.5.orig.tar.gz
 a069d2b69e47f158949c2c5c2aefcce2 162796 web optional iceweasel_3.5.5-1.diff.gz
 a649b415c48433a8ce2f0ce4513bbbf2 73418 gnome optional iceweasel-gnome-support_3.5.5-1_all.deb
 3da1efba017d797d933861ec707e931c 1119922 web optional iceweasel_3.5.5-1_amd64.deb
 1c4b573ec763b44657191b37e1e87c20 447822 debug extra iceweasel-dbg_3.5.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK/EG23kvaLFT9KlgRAt6vAJ0efPH9ImQJSOPaIm5zTuhbBlJsMQCggyzj
OoAZmcW20ITj4e3KE+/xuzo=
=UHnr
-----END PGP SIGNATURE-----





Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Thu, 12 Nov 2009 17:39:09 GMT) Full text and rfc822 format available.

Notification sent to "Xie Jianwei" <xiejw0217@gmail.com>:
Bug acknowledged by developer. (Thu, 12 Nov 2009 17:39:09 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Thu, 12 Nov 2009 17:39:10 GMT) Full text and rfc822 format available.

Notification sent to Julien Cervelle <cervelle@univ-mlv.fr>:
Bug acknowledged by developer. (Thu, 12 Nov 2009 17:39:10 GMT) Full text and rfc822 format available.

Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Thu, 12 Nov 2009 17:39:10 GMT) Full text and rfc822 format available.

Notification sent to Tim Wootton <tim_wootton@yahoo.com>:
Bug acknowledged by developer. (Thu, 12 Nov 2009 17:39:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Dec 2009 07:28:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:04:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.